Bug 185601 - Ra (vattu) not rendered properly in Malayalam
Ra (vattu) not rendered properly in Malayalam
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 20:27 EST by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.13.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 21:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pango bug (65.33 KB, text/plain)
2006-03-15 20:27 EST, Jong Bae KO
no flags Details
another test case (a bit more geared for those who can't read Malayalam) (1.65 KB, text/plain)
2006-03-15 20:30 EST, Jong Bae KO
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 121672 None None None Never

  None (edit)
Description Jong Bae KO 2006-03-15 20:27:09 EST
Description of problem:
"Cons+Ya and Cons+Ra are rendered with corresponding signs in Malayalam.
This is not properly supported in Pango. But Cons+Va sign is getting
rendered properly."
http://bugzilla.gnome.org/show_bug.cgi?id=121672

Font used for rendering is Thoolika Unicode
http://www.supersoftweb.com/THOOLIUC.TTF

more comment and discution in external bug reference.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jong Bae KO 2006-03-15 20:27:09 EST
Created attachment 126189 [details]
pango bug
Comment 2 Jong Bae KO 2006-03-15 20:29:03 EST
s/discution/discussion/
Comment 3 Jong Bae KO 2006-03-15 20:30:09 EST
Created attachment 126190 [details]
another test case (a bit more geared for those who can't read Malayalam)
Comment 4 Liang Zhang 2006-04-04 01:45:41 EDT
I wrote a patch for fixing this bug. Then the conjugates of Cons + (U+0d4d) +
(U+0d30) can render rightly.
The patch is:
http://bugzilla.gnome.org/show_bug.cgi?id=121672
Comment 5 Matthias Clasen 2006-06-20 01:09:31 EDT
Reassigning pango bugs to Behdad.
Comment 6 Liang Zhang 2006-07-16 23:13:37 EDT
I wrote a patch for this bug.
The patch is below:
http://bugzilla.gnome.org/show_bug.cgi?id=121672
Comment 7 Liang Zhang 2006-07-31 22:50:05 EDT
This bug was closed in pango's upstream.

Note You need to log in before you can comment on or make changes to this bug.